PPA WAIT(1)

NAME
ppa wait - Blocks until PPA has finished processing uploads

SYNOPSIS
ppa wait [-h | --help] [-l | --log] <ppa-name>

DESCRIPTION
The ppa wait command checks whether packages in the given archive have been built and published. This is done via polling Launchpad, displaying status to the console, and exiting with an appropriate error code once Launchpad has completed processing the package(s).

Typically, this command would be used as part of a workflow or script, where one wishes to delay subsequent steps until the packages in the archive are ready to be downloaded for use. For example, one might upload a package with a proposed fix to a PPA, wait for it to build, and then automatically run tests against it as soon as it is available.

OPTIONS

The following options can be used with the ppa wait command.

-h, --help
    Prints the usage for ppa wait, and options it supports.

-l, --log
    Print ongoing status to console (without screen clearing).

    Normally, the terminal will be cleared between each polling update, resulting in the effect of no visual appearance change in the terminal unless something happened. With this option specified, the screen will not clear, and instead the status of each polling update will be concatenated to the standard output.

EXIT STATUS

ppa exits with status 0 if the package(s) have been successfully built and published, or a non-zero error code otherwise.

SEE ALSO
ppa-dev-tools(1)

PPA
Part of the ppa-dev-tools(1) suite.